From 8ea2a5ee803aa7d252bb0466474a11b4a2d47678 Mon Sep 17 00:00:00 2001
From: Philipp Haselwarter <philipp.haselwarter@gmx.de>
Date: Sun, 25 Mar 2012 15:21:29 +0200
Subject: [PATCH] Fix jumping line when the summary gets recentered.

* lisp/gnus-sum.el (gnus-auto-center-summary): Set default to respect
  `scroll-margin'
---
 lisp/gnus-sum.el |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/gnus-sum.el b/lisp/gnus-sum.el
index b37562d..51cdcaa 100644
--- a/lisp/gnus-sum.el
+++ b/lisp/gnus-sum.el
@@ -451,7 +451,7 @@ current article is unread."
   :group 'gnus-summary-maneuvering
   :type 'boolean)
 
-(defcustom gnus-auto-center-summary 2
+(defcustom gnus-auto-center-summary (max scroll-margin 2)
   "*If non-nil, always center the current summary buffer.
 In particular, if `vertical' do only vertical recentering.  If non-nil
 and non-`vertical', do both horizontal and vertical recentering."
-- 
1.7.9.4

